{ config, lib, pkgs, ... }: {

  programs.custom.slack = {
    enable = true;
    homeBackup = "~/desktop/slack";
  };

  programs.custom.browser.configList.google-chrome = {
    inherit (config.programs.custom.browser.configList.development)
      home homeBackup user;
    sudoUsers = [ "slack" ];
  };

}
